package viitteet;

/**
 * Tutkitaan olioviitteiden käyttäytymistä
 * @author Vesa Lappalainen
 * @version 1.0, 08.01.20003
 */
public class Jonotesti {

    private static void tulosta(boolean b) {
        if (b)
            System.out.println("Samat ovat");
        else
            System.out.println("Erilaiset ovat");
    }


    private static void ali(String s) {
        System.out.println(s);
    }
    
    
    /**
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        String s1 = "eka";
        ali(s1);
        String s2 = new String("eka");

        tulosta(s1 == s2); // Erilaiset ovat
        tulosta(s1.equals(s2)); // Samat ovat

        int i1 = 11;
        int i2 = 10 + 1;

        tulosta(i1 == i2); // Samat ovat

        Integer io1 = Integer.valueOf(3);
        @SuppressWarnings("removal") // koska haluan luoda uuden
        Integer io2 = new Integer(3);

        tulosta(io1 == io2); // Erilaiset ovat
        tulosta(io1.equals(io2)); // Samat ovat
        tulosta(io1.intValue() == io2.intValue()); // Samat ovat

        s2 = s1;
        tulosta(s1 == s2);
        s1 = null;
    }
}